/**
 * Calls a defined callback function on each element of an array.
 * Then, flattens the result into a new array.
 */
export declare function flatMap<U, T>(array: T[], callback: (value: T, index: number, array: T[]) => U[]): U[];
