"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.flatMap = void 0;
/**
 * Calls a defined callback function on each element of an array.
 * Then, flattens the result into a new array.
 */
function flatMap(array, callback) {
    const result = [];
    array.map(callback).forEach((arr) => {
        result.push(...arr);
    });
    return result;
}
exports.flatMap = flatMap;
